# https://pypi.python.org/packages/84/e0/513d7ce61fd70aa6d3faba646e0c2cfaccef7922bc932e2bca55327a9934/python-gnupg-0.4.2.tar.gz
%global module gnupg

Name:           python-%{module}
Version:        0.4.2
Release:        %mkrel 2
Summary:        A Python wrapper for GnuPG

License:        BSD
Group:          Development/Python
URL:            https://pythonhosted.org/python-gnupg/
Source0:        %{name}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       gnupg2

%description
%{summary}.

%package -n python3-%{module}
Summary:        %{summary}
Group:	        Development/Python
Requires:       gnupg2

%description -n python3-%{module}
%{summary}.

%prep
%setup -qn %{name}-%{version}
cp -a . %{py3dir}

%build
%py2_build
pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
popd

%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitelib}

%files
%defattr(-,root,root)
%doc LICENSE.txt PKG-INFO README.rst
%{python_sitelib}/*

%files -n python3-%{module}
%defattr(-,root,root)
%doc LICENSE.txt PKG-INFO README.rst
%{python3_sitelib}/*

%changelog
* Mon Aug 22 2022 tex - 0.4.2-2pclos2022
- rebuild against updates

* Thu Apr 12 2018 marcin82 <fixxer1982 at gmail.com> 0.4.2-1pclos2018
- initial build for PCLinuxOS
